## scorched3d 42.1dfsg

=== debian/changelog ===
scorched3d (42.1dfsg-3) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Drop code snippet into debian/rules to make parallel builds possible on SMP
    machines
  * Bump build dependency to libwxgtk2.8-dev
  * Convert source package to format 3.0 quilt
    * Drop build dependency on quilt
    * Drop build dependency on sharutils. Allows us to ship the desktop shortcut
      icon as binary scorched3d.png
  * Updated debian/copyright
    * We want the Unicode © character in there
    * Copyright is up to 2009

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 13:53:46 +0100

scorched3d (42.1dfsg-2) unstable; urgency=low

  * Add kfreebsd.diff (Closes: #495091)
  * Add myself in uploaders
  * Bump standard version: 3.8.3
   - add a note about the use of quilt in README.Source
  * Fix the Vcs, they were broken since the git migration
  * Reuse fonts from ttf-dejavu-core 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 26 Aug 2009 23:26:27 +0200

scorched3d (42.1dfsg-1) unstable; urgency=low

  [ Paul Wise ]
  * Drop use of dh_desktop since it no longer does anything

  [ Reinhard Tartler ]
  * prepare new upload.
  * New upstream release
  * Add patch 01-openal-pkgconfig.diff to make use of pkg-config instead of
    openal-config (Closes: #533973)
    * Port configure-al.m4 to pkg-config
  * Add README.Source which documents how the .orig.tar.gz is generated
  * Remove test.ttf from the debian patch
    * Remove note about test.ttf from README.Debian
    * Remove uudecode call from debian/rules to decode the uuencoded test.ttf
    * Upstream removed VERA-COPYRIGHT.txt, so remove it from install targets
  * Remove gcc-4.3.diff from patches, it's merged upstream
  * Bump debhelper compatibility level to 7
  * Clean automake generated build files in debian/clean
  * Run autogen.sh at build time instead of calling upstream's configure script
    * Add build dependency on automake and autoconf
  * Bump debian standards version to 3.8.2
  * Remove special CFLAGS hacks from config.status target in debian/rules
  * debian/control: Move scorched3d-dbg package to section debug
  * Don't try to install files that are no longer distributed by upstream (TODO,
    AUTHORS)
  * debian/rules: Don't rmdir (now nonexistent) directories
  * Remove autogenerated files (Makefile.am)

  [ Bruno "Fuddl" Kleinert ]
  * Add build dependency on libexpat1-dev
  * Update debian/rules:
    * Add targets patch and unpatch
    * Replace dh_clean -k by dh_prep. Thanks to lintian!
  * Update my email address in manpages and in the uploaders field

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 30 Jun 2009 17:31:40 +0200

scorched3d (41.3dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #461816)
  * Updated gcc-4.3 patch (Closes: #417691)
    * Removed reject in src/net/NetServerTCP2Destination.cpp
    * Add missing header in src/common/LoggerI.cpp
  * Remove several empty directories. Found by lintian
  * Remove scorched3d-doc from Suggests-field of scorched3d binary package
  * Update my email address where necessary
  * Build-depend on debhelper >= 5.0.51. Found by lintian
    * We need dh_icons >= 5.0.51

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sat, 22 Mar 2008 13:37:54 +0100

scorched3d (41.2dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #460968)
  * Update to Standards Version 3.7.3.0. No changes were necessary

  [ Barry deFreese ]
  * Desktop file changes
    + Remove deprecated Encoding tag (Closes: #453888)
    + Remove path from exec line and extension from icon
  * Add dh_desktop and dh_icons calls in rules (Closes: #453889)

  [ Goneri Le Bouder ]
  * add gcc-4.3.diff and a build dependency on quilt (Closes: #417691)

  [ Peter De Wachter ]
  * fix watchfile (Closes: #453553)

  [ Reinhard Tartler ]
  * Review changes and upload to unstable.
  * Remove unnecessary dependency on dpkg-dev. Found by lintian.
  * Remove obsolete debian/source.lintian-overrides file. Also found by lintian.
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Jan 2008 15:13:30 +0100

scorched3d (41.1dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #448956)
  * Policy violation by apoc-mod license fixed by upstream (It's CC-SA 3.0, now) (Closes: #442062)
  * Removed Debian specific replacement font for data/fonts/testout.ttf, because upstream removed it
    (But we still have to replace data/fonts/test.ttf!)
  * Install two new binaries: scorched3ds (server) and scorched3dc (client)
    Add a manpage for each binary
  * Removed remark about "bird sound crashes" from the BUGS file: This bug
    appears to be fixed by upstream (Closes: #382060)
  * No longer build scorched3d-doc. Upstream removed the html-documentation
    Document that change in NEWS.Debian, which is installed by the scorched3d
    binary package
  * Add lintian overrides for the source package, because they are worked
    around in debian/rules

  [ Reinhard Tartler ]
  * change priority of -dbg package to extra
  * remove autotools-dev, autoconf und automake1.9 from build-depends
  * update config.{guess,sub} with versions from 2007-07-22 and 2007-06-28.
  * add libjpeg62-dev and libpng12-dev to build depends

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Gerfried Fuchs ]
  * Moved Homepage: address to source part.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue, 27 Nov 2007 22:21:48 +0100

scorched3d (40.1d.dfsg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * remove the Applications category from the desktop file since
    its not an official categorie
    http://standards.freedesktop.org/menu-spec/latest/apa.html

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Replace non-free fronts (Closes: #298932)
  * Removed all dpatches
    01-cleanup-configure.ac.dpatch: /usr/X11R6 is nearly empty, now

