=== debian/control ===
Source: scorched3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
	   Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: binutils,
	       automake,
	       autoconf,
	       debhelper (>= 7),
	       libsdl1.2-dev,
	       libsdl-net1.2-dev,
	       libopenal-dev,
	       libalut-dev,
	       libfreetype6-dev,
	       libwxgtk2.8-dev,
	       libgl1-mesa-dev,
	       libglu1-mesa-dev,
	       libogg-dev,
	       libvorbis-dev,
	       libfftw3-dev,
	       libpng12-dev,
	       libjpeg62-dev,
		   libexpat1-dev,
		   pkg-config
Build-Conflicts: nvidia-glx
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-games/scorched3d.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/scorched3d.git
Homepage: http://scorched3d.sourceforge.net/

Package: scorched3d
Architecture: any
Depends: ${shlibs:Depends},
	 scorched3d-data (= ${source:Version})
Description: 3D artillery game similar to Scorched Earth
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.

Package: scorched3d-dbg
Architecture: any
Priority: extra
Section: debug
Depends: scorched3d (= ${binary:Version})
Description: 3D artillery game similar to Scorched Earth, debug data
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.
 .
 This package contains debug information for the scorched3d
 package. Its purpose is to allow debuggers to produce backtraces with
 names, making it easier to interpret core dumps. The data is
 installed in /usr/lib/debug.

Package: scorched3d-data
Architecture: all
Recommends: scorched3d
Depends: ttf-dejavu-core
Description: data files for Scorched3D game
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
 "The Mother Of All Games". Scorched3D adds amongst other new features 
 a 3D island environment and LAN and internet play.
 .
 This package contains data files for the game Scorched3D.
