=== debian/rules ===
#!/usr/bin/make -f
# rules file for scorched3d (May 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

confflags += --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
confflags += --prefix=/usr --bindir=\$${prefix}/games
confflags += --datadir=\$${prefix}/share/games/scorched3d
confflags += --with-docdir=/usr/share/doc/scorched3d
confflags += --mandir=\$${prefix}/share/man
confflags += --infodir=\$${prefix}/share/info

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
$(info Disable all  optimisations)
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status:
	dh_testdir
	sh ./autogen.sh $(confflags)

build: build-stamp 
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f data/fonts/test.ttf
	rm -f config.log config.status
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# Both fonts are in ttf-dejavu-core. Remove them here and create symlinks
	# later on by debian/scorched3d-data
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusans.ttf
	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusmobd.ttf
	mkdir -p debian/tmp/usr/share/bug/scorched3d
	cp debian/presubj debian/tmp/usr/share/bug/scorched3d/
	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
	cp debian/scorched3d.png debian/tmp/usr/share/icons/hicolor/48x48/apps/
	mkdir -p debian/tmp/usr/share/applications
	cp debian/scorched3d.desktop debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/share/pixmaps
	cp debian/scorched3d.xpm debian/tmp/usr/share/pixmaps/
	rm -f \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/authors.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/license.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme-nexus.txt \
		debian/tmp/usr/share/games/scorched3d/data/globalmods/apoc/readme.txt \
		debian/tmp/usr/share/games/scorched3d/data/shaders/water.license

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_install --source=debian/tmp -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install --source=debian/tmp -a
	dh_installmenu -a
	dh_installman debian/scorched3d.6 debian/scorched3dc.6 debian/scorched3ds.6 -a
	dh_icons -a
	dh_link -a
	dh_strip -a --dbg-package=scorched3d-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
