## scorched3d 43.1c.dfsg

=== debian/changelog ===
scorched3d (43.1c.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Update copyright year in copyright file and document the origin of the
    Debian specific avatar icon set in debian/avatars[-svg]

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 14:30:15 -0400

scorched3d (43.1c.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #588937)
  * Update to standards version 3.9.1 without any changes
  * Refresh 01-openal-pkgconfig.diff
  * Selfmade SVG+PNG "avatar icons" to replace the non-DSFG free ones shipped by
    upstream
  * Add a script to update PNG avatar icons from SVG source avatar icons

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 28 Jul 2010 20:53:31 -0400

scorched3d (42.1dfsg-4) unstable; urgency=low

  * Lower dependency of scorched3d-data on scorched3d to Suggests. Since
    recommended packages are installed by default, this leads to a circular
    dependency. Avoid that situation.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 20 Nov 2009 18:21:12 +0100
