=== debian/control ===
--- 
+++ 
@@ -25,14 +25,14 @@
 		   libexpat1-dev,
 		   pkg-config
 Build-Conflicts: nvidia-glx
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-games/scorched3d.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/scorched3d.git
 Homepage: http://scorched3d.sourceforge.net/
 
 Package: scorched3d
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 	 scorched3d-data (= ${source:Version})
 Description: 3D artillery game similar to Scorched Earth
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
@@ -43,7 +43,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: scorched3d (= ${binary:Version})
+Depends: ${misc:Depends}, scorched3d (= ${binary:Version})
 Description: 3D artillery game similar to Scorched Earth, debug data
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
  "The Mother Of All Games". Scorched3D adds amongst other new features 
@@ -56,8 +56,8 @@
 
 Package: scorched3d-data
 Architecture: all
-Recommends: scorched3d
-Depends: ttf-dejavu-core
+Suggests: scorched3d
+Depends: ${misc:Depends}, ttf-dejavu-core
 Description: data files for Scorched3D game
  Scorched3D is a game based heavily on the classic DOS game Scorched Earth 
  "The Mother Of All Games". Scorched3D adds amongst other new features
