=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,9 @@
 
 config.status:
 	dh_testdir
+	# Upstream ships non-DFSG icons, so we replace them
+	mkdir -p data/avatars
+	cp -r debian/avatars data
 	sh ./autogen.sh $(confflags)
 
 build: build-stamp 
@@ -51,8 +54,12 @@
 	dh_testroot
 	rm -f build-stamp 
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f src/client/scorchedc/Makefile.am \
+		src/launcher/scorched/Makefile.am \
+		src/server/scorcheds/Makefile.am
 	rm -f data/fonts/test.ttf
 	rm -f config.log config.status
+	rm -rf data/avatars debian/avatars-svg/*.png
 	dh_clean 
 
 install: build
