## scorched3d 43.2a.dfsg

=== debian/changelog ===
scorched3d (43.2a.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fixed FTBFS due to mawk sprint limit (Closes: #650579) (Closes: #628365).
  * Use xz compression.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sun, 11 Dec 2011 21:52:37 -0500

scorched3d (43.2a.dfsg-5) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition and build-depend on libjpeg-dev instead of
    libjpeg62-dev.
  * Temporarily override lintian error on embedded GLEW library in scorched3c.
    We will fix this in a later upload.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 19:19:05 +0200

scorched3d (43.2a.dfsg-4) unstable; urgency=low

  * Team upload
  * Fix broken parallel builds in debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 22:31:10 +0200

scorched3d (43.2a.dfsg-3) unstable; urgency=low

  * Team upload
  * Switch to debhelper 8
    * Rewrite debian/rules
    * Build-depend on debhelper (>= 8)
  * Update standards version to 3.9.2. No changes were necessary.
  * List manpages that should be installed in debian/scorched3d.manpages
  * Don't install a windows "Thumbs.db" in /usr/share/games/scorched3d

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 16:35:39 +0200

scorched3d (43.2a.dfsg-2) unstable; urgency=low

  * Don't mess with users' PATH environment variable in
    /usr/share/applications/scorched3d.desktop. Instead call
    /usr/games/scorched3d with full path.
  * Source package: fix typo in the filename of
    debian/update-avatar-icons-from-svg.sh
  * Do not install upstream CHANGELOG since it's empty anyway

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 11 Mar 2011 23:58:48 +0100

scorched3d (43.2a.dfsg-1) unstable; urgency=low

  * Re-upload to fix version string, oops!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 07 Feb 2011 10:57:53 +0100

scorched3d (43.2a.dfsg) unstable; urgency=low

  * New upstream release
  * Refresh kfreebsd.diff

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 06 Feb 2011 22:27:40 +0100
