=== debian/watch ===
version=3
opts="dversionmangle=s/dfsg(.?\d+)?$//" \
http://sf.net/scorched3d/ Scorched3D-([\d.]*)-src\.tar\.gz
