## scorched3d 43.3.d%2Bdfsg

=== debian/changelog ===
scorched3d (43.3.d+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng16" -- adapt to new libpng API (Closes: #809905)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 14:33:34 +0100

scorched3d (43.3.d+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0 (new patch 0008-wx3.0-compat.patch).

 -- Olly Betts <olly@survex.com>  Tue, 27 May 2014 14:47:53 +1200

scorched3d (43.3.d+dfsg-1) unstable; urgency=medium

  [ Juhani Numminen ]
  * Team upload.
  * New upstream release.
  * Update debian/get-orig-source.sh:
    - Run the script in debian/rules get-orig-source target.
    - Use ‘+dfsg’ suffix instead of ‘.dfsg’.
    - Don’t exclude data/avatars in subdirectories.
    - Switch to xz compression.
  * Enhance watch file to detect all upstream versions.
  * Bump Standards-Version to 3.9.5, no changes were needed.
  * Add 0006-fix-freetype-includes.patch to fix a FTBFS (Closes: #733368).
  * Add 0007-spelling.patch to fix some spelling errors.
  * Fix Vcs-Browser to have “/gitweb”.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders:

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 28 Jan 2014 21:08:39 +0200

scorched3d (43.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Stephen M. Webb ]
  * new upstream release
  * added myself as an uploader
  * refreshed debian/patches/01-openal-pkgconfig.diff
  * update to debhelper compat level 9
  * removed embedded copy of GLEW library (closes: #634843)
    - removed lintian overrides
  * added dpkg Pre-Depends to -dbg and -data packages for xz compression
  * replaced the embedded copy of DejaVuCondensedBold font with the system one

  [ Juhani Numminen ]
  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662497).
  * Update of debian/rules to dh 9 by Stephen M. Webb eliminates "cannot find
    Makefile.in" FTBFS (Closes: #723051).
  * Set urgency to medium due to fix for release-critical bug.
  * Update standards version to 3.9.4. No changes were necessary.
  * Correct Vcs-* URLs to point to anonscm.debian.org.
  * Add missing patch metadata and unify patch style.
  * Add 0005-append-buildflags.patch to enable hardening.
  * Refer to GPL-2 instead of unversioned GPL in debian/copyright.
  * Add keywords to scorched3d.desktop file.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 21 Oct 2013 15:51:38 +0300

scorched3d (43.2a.dfsg-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #673718.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 11:07:11 +0000
