## scorched3d 43.3.d+dfsg

=== debian/control ===
Source: scorched3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gawk,
               libalut-dev,
               libexpat1-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglew-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl-net1.2-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               libwxgtk2.8-dev,
               pkg-config
Build-Conflicts: nvidia-glx
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/scorched3d.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scorched3d.git
Homepage: http://scorched3d.sourceforge.net/

Package: scorched3d
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: scorched3d-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D artillery game similar to Scorched Earth
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.

Package: scorched3d-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6~)
Depends: scorched3d (= ${binary:Version}), ${misc:Depends}
Description: 3D artillery game similar to Scorched Earth, debug data
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.
 .
 This package contains debug information for the scorched3d
 package. Its purpose is to allow debuggers to produce backtraces with
 names, making it easier to interpret core dumps. The data is
 installed in /usr/lib/debug.

Package: scorched3d-data
Architecture: all
Suggests: scorched3d
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ttf-dejavu-core, ttf-dejavu-extra, ${misc:Depends}
Description: data files for Scorched3D game
 Scorched3D is a game based heavily on the classic DOS game Scorched Earth
 "The Mother Of All Games". Scorched3D adds amongst other new features
 a 3D island environment and LAN and internet play.
 .
 This package contains data files for the game Scorched3D.
