=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  MAKEFLAGS += -j$(NUMJOBS)
-endif
+	dh $@ --parallel --with autoreconf
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -22,7 +17,6 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-confflags += --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
 confflags += --prefix=/usr --bindir=\$${prefix}/games
 confflags += --datadir=\$${prefix}/share/games/scorched3d
 confflags += --with-docdir=/usr/share/doc/scorched3d
@@ -31,17 +25,6 @@
 
 CFLAGS += -Wall
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-$(info Disable all  optimisations)
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
-
-# We want parallel builds (dh_build always does -j1)
-override_dh_auto_build:
-	$(MAKE)
-
 override_dh_auto_configure:
 	# Upstream ships non-DFSG icons, so we replace them
 	mkdir -p data/avatars
@@ -49,23 +32,20 @@
 	sh ./autogen.sh $(confflags) AWK=gawk
 
 override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f	src/client/scorchedc/Makefile.am \
-		src/launcher/scorched/Makefile.am \
-		src/server/scorcheds/Makefile.am
 	rm -f data/fonts/test.ttf
-	rm -f config.log config.status
 	rm -rf data/avatars debian/avatars-svg/*.png
+	dh_auto_clean
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install
 	# Both fonts are in ttf-dejavu-core. Remove them here and create
 	# symlinks later on by debian/scorched3d-data
 	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusans.ttf
 	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusmobd.ttf
+	rm debian/tmp/usr/share/games/scorched3d/data/fonts/dejavusconbd.ttf
 	mkdir -p debian/tmp/usr/share/bug/scorched3d
 	cp debian/presubj debian/tmp/usr/share/bug/scorched3d/
 	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
@@ -87,3 +67,6 @@
 
 override_dh_strip:
 	dh_strip -pscorched3d --dbg-package=scorched3d-dbg
+
+get-orig-source:
+	$(abspath $(dir $(firstword $(MAKEFILE_LIST))))/get-orig-source.sh
