=== debian/watch ===
version=3
opts="dversionmangle=s/(\+|\.)?dfsg(.?\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?([a-z][\-\.]?\d*)$/$1.$2/;s/(B|b)eta/~beta/" \
http://sf.net/scorched3d/ Scorched3D-(.*)-src\.tar\.gz
